﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using CrystalDecisions.Shared;


namespace Crystal_Reports_Export_MVC.Reports
{
    public partial class Report : System.Web.UI.Page
    {
        CustomerReport crystalReport;
        protected void Page_Load(object sender, EventArgs e)
        {
            CrystalReportViewer1.ToolPanelView = CrystalDecisions.Web.ToolPanelViewType.None;
            crystalReport = new CustomerReport();
            NorthwindEntities entities = new NorthwindEntities();
            crystalReport.SetDataSource(from customer in entities.Customers.Take(5)
                                        select customer);
            CrystalReportViewer1.ReportSource = crystalReport;
            CrystalReportViewer1.RefreshReport();
        }

        protected void Export(object sender, EventArgs e)
        {
            ExportFormatType formatType = ExportFormatType.NoFormat;
            switch (rbFormat.SelectedItem.Value)
            {
                case "Word":
                    formatType = ExportFormatType.WordForWindows;
                    break;
                case "PDF":
                    formatType = ExportFormatType.PortableDocFormat;
                    break;
                case "Excel":
                    formatType = ExportFormatType.Excel;
                    break;
                case "CSV":
                    formatType = ExportFormatType.CharacterSeparatedValues;
                    break;
            }

            crystalReport.ExportToHttpResponse(formatType, Response, true, "Crystal");
            Response.End();
        }
    }
}